Subject: bug#49418: Importing haskell packages from hackage doesn't apply metadata revisions

From: "Philip Munksgaard" <[email-masked]>
Date: Wed, 07 Jul 2021 07:58:55 +0200

On Wed, 7 Jul 2021, at 05:26, John Kehayias via Bug reports for GNU Guix wrote:
> Actually, this does exist in the Haskell build system in Guix, but 
> seems to be undocumented and not used by the importer. You can add the 
> following to the arguments (in the bootstrap package in this case) to 
> use a metadata revision:
> 
> #:cabal-revision ("2" "0a6j3313vz7n7dn8abddyib4jggblaq89f87ib4imdwjxjajbm33")
> 
> The hash is from running guix hash file (where file = 2.cabal in this 
> case, downloaded from Hackage). This should be part of the importer, to 
> specify a revision or by default grab the latest, I would say.
> 
> (and I'm guessing you know this is packaged in guix as 
> integer-logarithms, without the "ghc-" prefix for some reason; not the 
> only package like that I've noticed)
> 

Ah yes, good catch! I agree that the fix should be to amend the importer, such that it finds out about these revisions and automatically uses the latest one.